amavisd-new-2.8.1-5.3.1.x86_64.rpm


Advertisement

Description

amavisd-new - High-Performance E-Mail Virus Scanner

Property Value
Distribution openSUSE Leap 42.2
Repository openSUSE Update Oss all
Package name amavisd-new
Package version 2.8.1
Package release 5.3.1
Package architecture x86_64
Package type rpm
Installed size 1.60 MB
Download size 376.85 KB
Official Mirror ftp.gwdg.de
Amavisd-new is a high-performance interface between mailer (MTA) and
content checkers: virus scanners or SpamAssassin. It talks to the MTA
via (E)SMTP, LMTP. It works with the
following MTAs:
- postfix
- sendmail (sendmail-milter)
- exim

Alternatives

Package Version Architecture Repository
amavisd-new-2.8.1-5.8.1.x86_64.rpm 2.8.1 x86_64 openSUSE Update Oss
amavisd-new-2.8.1-4.6.x86_64.rpm 2.8.1 x86_64 openSUSE Oss
amavisd-new - - -

Requires

Name Value
/bin/bash -
/bin/logger -
/usr/bin/perl -
bzip2 -
coreutils -
file -
gzip -
insserv -
libc.so.6(GLIBC_2.15)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
net-tools -
perl-Archive-Tar -
perl-Archive-Zip -
perl-BerkeleyDB -
perl-Compress-Zlib -
perl-Convert-BinHex -
perl-Convert-TNEF -
perl-Convert-UUlib -
perl-IO-stringy -
perl-MIME-tools -
perl-Mail-DKIM -
perl-MailTools -
perl-Net-Server -
perl-Unix-Syslog -
perl-spamassassin -
pwdutils -
sed -
sharutils -
smtp_daemon -
spamassassin -
systemd -
util-linux -
zoo -

Provides

Name Value
amavisd-milter = 1.5.0
amavisd-new = 2.8.1-5.3.1
amavisd-new(x86-64) = 2.8.1-5.3.1
config(amavisd-new) = 2.8.1-5.3.1
perl(JpegTester) -

Obsoletes

Name Value
amavisd-milter <= 1.5.0

Download

Type URL
Binary Package amavisd-new-2.8.1-5.3.1.x86_64.rpm
Source Package amavisd-new-2.8.1-5.3.1.src.rpm

Install Howto

Install amavisd-new rpm package:

# zypper install amavisd-new

Files

Path
/etc/amavisd.conf
/etc/openldap/
/etc/openldap/schema/amavisd-new.schema
/usr/lib/perl5/vendor_perl/5.18.2/JpegTester.pm
/usr/lib/systemd/system/amavis.service
/usr/lib/tmpfiles.d/
/usr/sbin/amavisd
/usr/sbin/amavisd-agent
/usr/sbin/amavisd-milter
/usr/sbin/amavisd-milter.sh
/usr/sbin/amavisd-nanny
/usr/sbin/amavisd-release
/usr/sbin/p0f-analyzer.pl
/usr/sbin/rcamavis
/usr/share/doc/packages/amavisd-new/AAAREADME.first
/usr/share/doc/packages/amavisd-new/LDAP.ldif
/usr/share/doc/packages/amavisd-new/LICENSE
/var/adm/fillup-templates/sysconfig.amavis
/var/spool/amavis/
/var/spool/amavis/db/
/var/spool/amavis/tmp/
/var/spool/amavis/var/
/var/spool/amavis/virusmails/

Changelog

2017-01-29 - varkoly@suse.com
- bnc#1014205 L3: /etc/sysconfig/amavis missing
- bnc#1014157 L3: amavisd-new needs sa-update
2015-09-17 - wr@rosenauer.org
- require perl-Convert-BinHex as otherwise startup fails if the
package is missing (bnc#942254)
2014-08-16 - ro@suse.de
- add /bin/logger as prereq (util-linux split)
2014-01-01 - wr@rosenauer.org
- add some recommended decoders (bnc#754852)
- fixed amavisd-milter invocation (bnc#809969)
- correctly set clamd socket to (/var/run/clamav/clamd-socket)
(bnc#844575)
- some spec file cleanup including using optflags for native code
2013-11-12 - wr@rosenauer.org
- Add real systemd support; add required macros in %post/postun sections
and drop sysvinit support on openSUSE >= 12.3
2013-10-22 - varkoly@suse.com
- bnc#844575 - amavis received a change where /var/run was replaced
with /run still /var/run is present
2013-10-03 - opensuse@cboltz.de
- fix clamd socket location (bnc#809580)
2013-09-25 - varkoly@suse.com
- bnc#831556 - naming mismatch for amavis and systemd
2013-09-14 - wr@rosenauer.org
- update to version 2.8.1
COMPATIBILITY
when 0MQ (a.k.a. ZeroMQ) is used between Amavis components as an
internal messaging protocol, make sure to replace all 0MQ-enabled
Amavis components on upgrading amavisd, as the internal protocol
has changed slightly, taking advantage of 0MQ multi-part messages
for better performance. Affected programs are: amavis-services,
amavisd-status, amavisd-snmp-subagent-zmq, and amavisd.
NOTE: The Crossroads I/O project (libxs) ceased development on
July 2012, to be replaced by nanomsg eventually by the same author.
The 0MQ library (libzmq) is currently (2013) the best choice,
the preferred library version is 3.2.2 or later along with
the ZMQ::LibZMQ3 Perl interface module and ZMQ::Constants.
The older version 2 of the library, along with an older perl
module ZeroMQ, should be fine too, but lacks support for IPv6.
amavisd is compatible with perl 5.18.0 and with SpamAssassin 3.4.0
NEW FEATURES SUMMARY
* new Redis storage for the "pen pals" feature;
* improved IPv6 support;
* support for p0f v3;
* new macros ip_trace_all and ip_trace_public;
* amavisd-status now shows a bar graph display
of the number of active processes;
* the timing report log entry can show CPU usage
at log level 2 if a module Unix::Getrusage is available;
2013-05-29 - crrodriguez@opensuse.org
- Fix multiple bugs in systemd unit, syslog.target should
not be used and Wants must be used instead of requires in most
cases.

See Also

Package Description
amavisd-new-docs-2.8.1-5.3.1.x86_64.rpm Documentation for the High-Performance E-Mail Virus Scanner
amavisd-new-docs-2.8.1-5.8.1.x86_64.rpm Documentation for the High-Performance E-Mail Virus Scanner
ansible-2.4.1.0-2.4.1.noarch.rpm Software automation engine
apache-commons-daemon-1.0.15-13.3.1.x86_64.rpm Commons Daemon - Controlling of Java Daemons
apache-commons-daemon-javadoc-1.0.15-13.3.1.noarch.rpm Commons Daemon Javadoc
apache-commons-daemon-jsvc-1.0.15-13.3.1.x86_64.rpm Java daemon launcher
apache-commons-dbcp-2.1.1-2.1.noarch.rpm Jakarta Commons DataBase Pooling Package
apache-commons-dbcp-javadoc-2.1.1-2.1.noarch.rpm Javadoc for jakarta-commons-dbcp
apache-commons-pool2-2.4.2-2.1.noarch.rpm Apache Commons Pool 2.x series
apache-commons-pool2-javadoc-2.4.2-2.1.noarch.rpm Javadoc for apache-commons-pool2
apache2-2.4.23-6.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-2.4.23-8.12.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-2.4.23-8.3.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-2.4.23-8.6.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-2.4.23-8.9.1.x86_64.rpm The Apache Web Server Version 2.4
Advertisement
Advertisement